InputMappings

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.ctdp.rfdynhud.input
Class InputMappings

    java.lang.Object
      net.ctdp.rfdynhud.input.InputMappings

    public class InputMappings

extends java.lang.Object

Author:
  Marvin Froehlich (CTDP)

Method Summary
`InputAction[]` | `getMappedActions(Widget widget)` Gets the `InputAction`s possibly mapped to an action on the given `Widget`.
`java.lang.String[]` | `getMappedDeviceComponents(InputAction action, Widget widget)` Gets the input device components mapped to the given `InputAction` on a `Widget` with the name of the given `Widget`.
`boolean` | `isActionMapped(InputAction action)` Gets whether an input mapping exists, that maps an input device component to the given `InputAction`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getMappedActions

    public final InputAction[] getMappedActions(Widget widget)

  Gets the `InputAction`s possibly mapped to an action on the given `Widget`.

  Parameters:
    `widget` - the `Widget` to query mapped actions for
  Returns:
    the possibly mapped actions

### isActionMapped

    public final boolean isActionMapped(InputAction action)

  Gets whether an input mapping exists, that maps an input device component to the given `InputAction`.

  Parameters:
    `action` - the action in question
  Returns:
    whether an input mapping exists, that maps an input device component to the given `InputAction`.

### getMappedDeviceComponents

    public final java.lang.String[] getMappedDeviceComponents(InputAction action,
                                                              Widget widget)

  Gets the input device components mapped to the given `InputAction` on a `Widget` with the name of the given `Widget`.

  Parameters:
    `action` - the action
    `widget` - the widget
  Returns:
    the input device components mapped to the given `InputAction` on a `Widget` with the name of the given `Widget`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD